import { AfterViewInit, ChangeDetectorRef, ElementRef, OnDestroy, OnInit } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import dayjs, { Dayjs } from "dayjs";
import { TimePeriod } from 'ngx-daterangepicker-material/daterangepicker.component';
import { GlobalStateService, PageInfoService } from 'tango-app-ui-global';
import { TraxService } from '../../services/trax.service';
import { ActivatedRoute, Router } from '@angular/router';
import { ToastService } from 'tango-app-ui-shared';
import { Location } from '@angular/common';
import { NgbModal } from '@ng-bootstrap/ng-bootstrap';
import { DomSanitizer, SafeUrl } from '@angular/platform-browser';
import * as i0 from "@angular/core";
export declare class GalleryComponent implements OnInit, OnDestroy, AfterViewInit {
    private fb;
    gs: GlobalStateService;
    private traxService;
    private cd;
    private modalService;
    private route;
    private router;
    private toastService;
    private location;
    private pageInfo;
    private sanitizer;
    isFullscreen: boolean;
    fullscreenVideoElement: HTMLVideoElement | null;
    dayjs: typeof dayjs;
    notifyCount: number;
    selectedDateRange: any;
    isCustomDate: (m: dayjs.Dayjs) => false | "invalid-date";
    galleryForm: FormGroup;
    type: any;
    filtertype: any;
    checklists: any;
    answerType: {
        label: string;
        value: string;
    }[];
    headerFilters: any;
    storeList: any[];
    private destroy$;
    checklistData: any;
    stores: any;
    groups: any;
    teams: any;
    items: any;
    paginatedItems: any;
    itemsPerPage: number;
    currentPage: number;
    totalItems: number;
    viewChecklistsData: any;
    loading: boolean;
    noData: boolean;
    viewloading: boolean;
    viewnoData: boolean;
    offset: any;
    limit: any;
    paginationSizes: number[];
    totalCount: any;
    viewChecklistsoptions: any;
    mobileusageData: any;
    mobileusageDataList: any;
    selectAll: any;
    storeOpencloseView: any;
    queryParams: any;
    customerunattendedData: any;
    sectionName: any;
    questionName: any;
    clientData: any;
    checklistName: any;
    get isStoreMopping(): boolean;
    ClusterList: any;
    TeamsList: any;
    userList: any;
    environment: any;
    showflag: boolean;
    selectedSection: any;
    tempselectedSection: any;
    showmulti: boolean;
    showsingle: boolean;
    showfilter: boolean;
    previewType: any;
    checkListDescription: any;
    answerFilter: any;
    approvalStatus: boolean;
    allapprovalStatus: boolean;
    category: string;
    videoChecklist: string[];
    imageChecklist: string[];
    boximageChecklist: string[];
    combinedChecklist: string[];
    pdfExportTypes: any;
    csvExportTypes: any;
    queueAlertView: any;
    viewImage: any;
    zoneList: any;
    approveFilter: any;
    userDetails: any;
    timeoutId: any;
    selectedStores: any;
    selectedUsers: any;
    inputDataTask: any;
    otherTaskData: any;
    selectAllTask: boolean;
    totalrecordcount: number;
    selectedRecordCount: number;
    refImage: any[];
    exportConfig: any;
    activeDiv?: string;
    occupancyCurrentPage: number;
    occupancyData: any;
    constructor(fb: FormBuilder, gs: GlobalStateService, traxService: TraxService, cd: ChangeDetectorRef, modalService: NgbModal, route: ActivatedRoute, router: Router, toastService: ToastService, location: Location, pageInfo: PageInfoService, sanitizer: DomSanitizer);
    ngAfterViewInit(): void;
    checktodayDate(checklistDate: any): boolean;
    showOccupancyPreview(event: any): void;
    goToOccupancyPage(page: number): void;
    occupancyStatusClass(status: string): string;
    ngOnDestroy(): void;
    requestPermission(): void;
    notify(data: any): void;
    refreshnow(): void;
    ngOnInit(): void;
    checkNotifications(): void;
    setPageData(): void;
    getAllGroups(): void;
    getAllTeams(): void;
    clientDetails(): void;
    onfilterChange(val: any): void;
    redoChanged(event: any): void;
    flagChanged(event: any): void;
    onchecklistreset(): void;
    resetValidation(): void;
    onStartDateChange(event: any): void;
    selectAllStore(event: any): void;
    updateCheck(event: any, storedata: any): void;
    createForm(): void;
    datechange(event: TimePeriod): void;
    getAllUsers(): void;
    getAllStores(): void;
    getAllCheckLists(type: any): void;
    removeQueryParams(): void;
    onTeamsSelect(event: any): void;
    ongroupSelect(event: any): void;
    filterChange(event: any): void;
    onzoneSelect(event: any): void;
    approveFilterChange(event: any): void;
    onStoreSelect(event: any): void;
    onUserSelect(event: any): void;
    storeListdropdownTask(): void;
    userListdropdownTask(): void;
    userListdropdown(): void;
    storeListdropdown(): void;
    select: string;
    onSubmit(): void;
    show: number;
    accordian(index: any): void;
    getzonetlist(): void;
    queuealertlist(type: any): void;
    storeOpencloselist(type: any): void;
    queuealertview(): void;
    storeOpencloseview(): void;
    coverageData(coverage: any): void;
    checklistNamechange(event: any, type: any): void;
    customerunattendedlist(type: any): void;
    selectedExport: boolean;
    selectedQuestion(event: any, section: any, Question: any): void;
    getcustomertriallist(): void;
    getmobileUsageDatalist(type: any): void;
    onreset(): void;
    onview(): void;
    getcustomerunattendedview(): void;
    getmobileUsageDataview(): void;
    getfilterCount(): void;
    createMultipleTask(type: any): void;
    selectedAllTask(event: any, checklist: any, data: any, checklistInfo: any, sectionInfo: any): void;
    selectmultiTask(event: any, checklist: any, data: any, checklistInfo: any, sectionInfo: any): void;
    selectsinglequestion(): void;
    appoveChecklist(): void;
    checklistApprove(): void;
    ApproveTask(): void;
    getChecklistQA(type: any): void;
    gettaskQA(type: any): void;
    viewTaskList(sectionName: any, questionName: any): void;
    viewChecklists(sectionName: any, questionName: any): void;
    taskCreate(): void;
    showsidenav: boolean;
    sidenav(): void;
    onPageChange(page: number): void;
    checkAIchecklist(): boolean;
    onPageChangeview(pageOffset: number): void;
    onPageSizeChange(pageSize: number): void;
    onClick(event: MouseEvent): void;
    exportShow: boolean;
    exportLabel: string;
    exportDet(event: Event): void;
    questionscount(data: any): number;
    setExportAsPPT(type: any, fileType: any): void;
    typeChange(event: any): void;
    getAllTasks(type: any): void;
    getTaskQA(type: any): void;
    viewTasks(sectionName: any, questionName: any): void;
    taskredirect(question: any, storeProfile: any, checklistInfo: any): void;
    ViewInDetails(data: any, checklistInfo: any, storeProfile: any, section: any): void;
    addTask(type: any, data: any, checklistInfo: any, storeProfile: any, section: any, divId?: string, userAnswerItem?: any): void;
    checkallapproved(): void;
    approvalstatus(): void;
    onApproveChecklistClick(): void;
    taskTab(task: any): void;
    categoryChange(): void;
    zoomPopup: ElementRef;
    openModel(data: any): void;
    proofPopup: ElementRef;
    proofData: any;
    openProof(checklistInfo: any): void;
    getGridColumns(length: number): string;
    getGridRowHeight(length: number): string;
    hasReferenceImages(question: any): boolean;
    hasChecklistReferenceImages(question: any): boolean;
    hasQuestionReferenceImages(question: any): boolean;
    isValidImage(item: any): boolean;
    selectedImageUrl: any;
    selectedImageName: string;
    currentImageIndex: number;
    imageList: string[];
    imageNameList: string[];
    openSnapPopup(item: any, snapType: 'open' | 'close'): void;
    openImagePopup1(images: string[], index: number): void;
    openImagePreview(imageUrl: string, caption?: string): void;
    openImagePopup(images: string[], names: string[], index: number): void;
    navigateImage(direction: 'prev' | 'next'): void;
    getImageUrls(userAnswers: any[]): string[];
    getImageNames(userAnswers: any[]): string[];
    getRefchecklistImageUrls(userAnswers: any[]): string[];
    getRefchecklistImageNames(userAnswers: any[]): string[];
    getQustRefchecklistImageUrls(userAnswers: any[]): string[];
    getQustRefchecklistImageNames(userAnswers: any[]): string[];
    getRefImageUrls(userAnswers: any[]): string[];
    getRefImageNames(userAnswers: any[]): string[];
    downloadVideo(fileName: string): void;
    hasMultiQuestionReferenceImages(question: any): boolean;
    getMultiRefImageUrls(userAnswers: any[]): string[];
    getValidationImageUrls(item: any): string[];
    getValidationImageNames(item: any): string[];
    openMultiImagePopup(images: string[], names: string[], index: number): void;
    hasMultiReferenceImages(question: any): boolean;
    hasImageMultiReferenceImages(question: any): boolean;
    hasImageAnswer(question: any): boolean;
    isVideoAnswer(url: string, item?: any): boolean;
    getImageAnswers(question: any): any[];
    getVideoAnswers(question: any): any[];
    checkDetectionStatus(runAIData?: any[]): {
        keyPresent: boolean;
        keyValue: boolean;
    };
    isAnswerRedoDone(question: any, item: any): boolean;
    sanitizeUrl(url: string): SafeUrl;
    multiImageCheckDetectionStatus(userAnswers?: any[]): {
        keyPresent: boolean;
        keyValue: boolean;
    };
    imageVideoCheckDetectionStatus(userAnswers?: any[]): {
        keyPresent: boolean;
        keyValue: boolean;
    };
    getchecklistDetails(): void;
    onFullscreenChange(): void;
    isVideoFullscreen(videoElement: HTMLVideoElement | null | undefined): boolean;
    cameraView(storeId: any): void;
    scrollToActiveDiv(): void;
    compliance(question: any): number;
    getSectionCompliance(sectionName: any): string | undefined;
    static ɵfac: i0.ɵɵFactoryDeclaration<GalleryComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GalleryComponent, "lib-gallery", never, {}, {}, never, never, false, never>;
}
